# ─< environment variables for zsh >──────────────────────────────────────────────────────
local zplug="$HOME/.zsh/plugins"

local zFzfCd="$zplug/custom/zsh-interactive-cd.plugin.zsh"
local zTruecolor="$zplug/custom/256color.zsh"
local zAgentManagement="$zplug/custom/agent.zsh"
local zCommandNotFound="$zplug/custom/command-not-found.plugin.zsh"

local zFzf="$HOME/.fzf/fzf-zsh-plugin.plugin.zsh"
local zFzfTab="$zplug/fzf-tab/fzf-tab.plugin.zsh"
local zAutosg="$zplug/autosuggestions/zsh-autosuggestions.zsh"
local zSynthl="$zplug/syntax-highlighting/zsh-syntax-highlighting.zsh"
local zAutopairs="$zplug/autopairs/autopair.zsh"
local zExtraction="$zplug/extract/extract.plugin.zsh"

local _pluginlist=(
  "$zAutosg"
  "$zSynthl"
  "$zTruecolor"
  "$zAutopairs"
  "$zFzf"
  "$zFzfTab"
  "$zFzfCd"
  "$zAgentManagement"
  "$zCommandNotFound"
  "$zExtraction"
)

DEBUG_PLUG=""

# ─< init plugis >────────────────────────────────────────────────────────────────────────
for zPlug in "${_pluginlist[@]}"; do
  [[ -f "$zPlug" ]] &&
    . $zPlug
  DEBUG_PLUG="$DEBUG_PLUG
    plugin $zPlug loadet."
done

if [ -e "$zFzfTab" ]; then
  autoload -U compinit
  compinit
  source "$zFzfTab"
fi
